Only in vlc-0.8.2/: diff_vlc
diff -u -r vlc-0.8.2/modules/misc/rtsp.c vlc-0.8.2_mod/modules/misc/rtsp.c
--- vlc-0.8.2/modules/misc/rtsp.c	2005-06-25 15:43:10.000000000 +0200
+++ vlc-0.8.2_mod/modules/misc/rtsp.c	2006-02-08 15:39:16.000000000 +0100
@@ -358,7 +358,7 @@
     p_media->psz_mux = NULL;
 
     /* TODO: update SDP, etc... */
-    asprintf( &psz_urlc, "%s/trackid=%d",
+    asprintf( &psz_urlc, "%s/trackID=%d",
               p_media->psz_rtsp_path, p_media->i_es );
     msg_Dbg( p_vod, "  - ES %4.4s (%s)", (char *)&p_fmt->i_codec, psz_urlc );
 
@@ -982,7 +982,7 @@
                 strlen( p_es->psz_fmtp ) + 10;
         }
 
-        i_size += strlen( "a=control:*/trackid=*\r\n" ) +
+        i_size += strlen( "a=control:*/trackID=*\r\n" ) +
             strlen( p_media->psz_rtsp_control ) + 10;
     }
 
@@ -1039,8 +1039,8 @@
                           p_es->psz_fmtp );
         }
 
-        p += sprintf( p, "a=control:%s/trackid=%d\r\n",
-                      p_media->psz_rtsp_control, i );
+        p += sprintf( p, "a=control:trackID=%d\r\n", i);
+	
     }
 
     fprintf( stderr, psz_sdp );
diff -u -r vlc-0.8.2/modules/stream_out/rtp.c vlc-0.8.2_mod/modules/stream_out/rtp.c
--- vlc-0.8.2/modules/stream_out/rtp.c	2005-06-25 15:43:06.000000000 +0200
+++ vlc-0.8.2_mod/modules/stream_out/rtp.c	2006-02-08 10:34:21.000000000 +0100
@@ -733,7 +733,7 @@
         }
         if( b_rtsp )
         {
-            i_size += strlen( "a=control:*/trackid=*\r\n" ) + strlen( p_sys->psz_rtsp_control ) + 10;
+            i_size += strlen( "a=control:*/trackID=*\r\n" ) + strlen( p_sys->psz_rtsp_control ) + 10;
         }
     }
 
@@ -786,7 +786,7 @@
         }
         if( b_rtsp )
         {
-            p += sprintf( p, "a=control:%s/trackid=%d\r\n", p_sys->psz_rtsp_control, i );
+           p += sprintf( p, "a=control:trackID=%d\r\n", i );
         }
     }
 
@@ -1030,7 +1030,7 @@
     {
         char psz_urlc[strlen( p_sys->psz_rtsp_control ) + 1 + 10];
 
-        sprintf( psz_urlc, "%s/trackid=%d", p_sys->psz_rtsp_path, p_sys->i_es );
+        sprintf( psz_urlc, "%s/trackID=%d", p_sys->psz_rtsp_path, p_sys->i_es );
         fprintf( stderr, "rtsp: adding %s\n", psz_urlc );
         id->p_rtsp_url = httpd_UrlNewUnique( p_sys->p_rtsp_host, psz_urlc, NULL, NULL );
 
